debug_storageRangeAt-polygon

Returns the storage at the given block height and transaction index. The result can be paged by providing a maxResult to cap the number of storage slots returned as well as specifying the offset via keyStart (hash of storage key).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Parameters

  • blockHash: STRING - The hash of the block
  • txIndex:INTEGER - The transaction index for the point in which we want the list of accounts
  • address: STRING - The contract address
  • startKey: STRING - The offset (hash of storage key)
  • maxResult: STRING - The number of storage entries to return
curl https://polygon-mainnet-archive.allthatnode.com:8545/8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj \
--request POST \
--header "Content-Type: application/json" \
--data '{
    "jsonrpc":"2.0",
    "id":1,
    "method":"debug_storageRangeAt",
    "params":[
      "0x31d14b77082ceaeba816c1ea6c86c25bf275391b9c305d3e568442d986d2fcfd",
      0,
      "0xbb5f9ade0023ae87bdcd2268bdd74a2711654bdb",
      "0x00",
      1
    ]
}'

Returns

  • storage : OBJECT- An object with hash values, and for each of them the key and value it represents.
    • hash - The hash value
      • key - The key associated with the hash
      • value- The value associated with the hash
  • nextKey - The hash of next key if further storage in range. Otherwise, not included
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": {
    "storage": {
      "0x290decd9548b62a8d60345a988386fc84ba6bc95484008f6362f93160ef3e563": {
        "key": "0x0000000000000000000000000000000000000000000000000000000000000000",
        "value": "0x0000000000000000000000000000000000000000000000000000000000000001"
      }
    },
    "nextKey": "0x0000000000000000000000000000000000000000000000000000000000000033"
  }
}

Try Yourself

Path Params
string
required
Defaults to 8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj
Body Params
string
required
Defaults to { "id": 1, "jsonrpc": "2.0", "method": "trace_replayBlockTransactions", "params": [ "0x2B9BB83", ["trace"] ] }
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!